clc, clear, close all;
%% Funcion Sigmoide con inicio en 10 y finaliza en 100
% Esta funcion servira de referencia para disenar una neurona spiking con
% este tipo de comportamiento, empleando abejas.(Ver abc spikin no lineal)
% 
pen = 0.15;
cen = 35;
xx = 0:70;
target = (1 ./ (1 + exp(-pen*(xx-cen))))*100+4;
figure
plot(xx, target, '.r')

k = 0;
II  = 60:130;
% pulsos = zeros(1,length(II)+1);
for ii = II
    k = k + 1;
    [p, ~] = NEIZ(ii); %NE-urona IZ-zhikevich (ver los parámetros de la función)
    pulsos(k) = p;
end
II  = 60:130;
figure, hold on
plot(II, pulsos, '.-b', 'MarkerSize', 11, 'LineWidth', 1)
plot(II, target, '--k', 'LineWidth', 1)
legend({'Sigmoidal Spiking Neuron','Continuous-sigmoidal Neuron'},'Location','northwest', 'FontSize', 12)
xlabel('pA', 'FontSize', 12)
ylabel('Spike/second', 'FontSize', 12)
error = mse(pulsos/109, target/104)

% save('target_no_lineal', 'target')
% save('spiking_no_lineal', 'pulsos')


% [p, f] = NEIZ(102);
% figure, plot(f)






